<img src="https://img.shields.io/badge/lifecycle-experimental-orange.svg" alt="Life cycle: experimental"> <a href="https://godoc.org/github.com/hiplot/hctl"><img src="https://godoc.org/github.com/hiplot/hctl?status.svg" alt="GoDoc"></a>

# hctl

[hctl](https://github.com/hiplot/hctl) is the command-line client to draw plots of [Hiplot](https://hiplot.cn) website.

## Usage

It is required to login Hiplot server first using the `hctl login` command. `hctl plot` command can be used to draw plots by using the parameter file and data files.

Demo input files of hctl can be download from here: [demo.tar.gz](https://hiplot.cn/download/hctl/_demo.tar.gz).

```bash
hctl login

# only input data files
hctl plot -c _demo/heatmap/config.json -t heatmap -d _demo/heatmap/countData.txt,_demo/heatmap/sampleInfo.txt,_demo/heatmap/geneInfo.txt -o /tmp/hiplot-pure-data-mode

# only use remote files
hctl plot -c _demo/heatmap/config2.json -t heatmap -o /tmp/hiplot-pure-remote-data-mode

# mixed usage
hctl plot -c _demo/heatmap/config3.json -t heatmap -d _demo/heatmap/countData.txt,,_demo/heatmap/geneInfo.txt -o /tmp/hiplot-mixed-mode

# hiplot exported param
hctl plot -p _demo/heatmap/params.json -t heatmap -o /tmp/hiplot-params-mode

# hiplot config and plot
hctl config -l
hctl config basic/tsne
hctl plot -p basic-tsne-params.json -o /tmp/hiplot-tsne
```

## LICENSE

Academic Free License version 3.0

